# Changelog

All notable changes to this project will be documented in this file. See
[Conventional Commits](https://conventionalcommits.org) for commit guidelines.

## [1.11.0](https://code.vereign.com/gaiax/ocm/ocm-engine/compare/v1.10.0...v1.11.0) (2023-10-09)


### Features

* implement basic auth for id union ([9e15ff4](https://code.vereign.com/gaiax/ocm/ocm-engine/commit/9e15ff4ba8528d3bc71b52f243580dc16e1d0aa8))

## [1.10.0](https://code.vereign.com/gaiax/ocm/ocm-engine/compare/v1.9.0...v1.10.0) (2023-09-25)


### Features

* implement url shortener for invitation urls ([5ee43e8](https://code.vereign.com/gaiax/ocm/ocm-engine/commit/5ee43e86320b46e53e5e6cb9c658500ec1f14e51))

## [1.9.0](https://code.vereign.com/gaiax/ocm/ocm-engine/compare/v1.8.0...v1.9.0) (2023-09-19)


### Features

* improve proof api ([ab95aac](https://code.vereign.com/gaiax/ocm/ocm-engine/commit/ab95aac816b582c250f3f07a1c0f287a82ef9bff))

## [1.8.0](https://code.vereign.com/gaiax/ocm/ocm-engine/compare/v1.7.1...v1.8.0) (2023-09-12)


### Features

* rest agent support for connection and proof change state events ([de04959](https://code.vereign.com/gaiax/ocm/ocm-engine/commit/de04959d975f398fd5ab4ce628fba57a440c9d0b))

## [1.7.1](https://code.vereign.com/gaiax/ocm/ocm-engine/compare/v1.7.0...v1.7.1) (2023-08-21)


### Bug Fixes

*  bcovrin return emtpy object on issue creadential ([7fb23c1](https://code.vereign.com/gaiax/ocm/ocm-engine/commit/7fb23c14bda95f2530012d3c54475584d7851d25))

## [1.7.0](https://code.vereign.com/gaiax/ocm/ocm-engine/compare/v1.6.0...v1.7.0) (2023-08-08)


### Features

* add separate var for peer port ([63ca360](https://code.vereign.com/gaiax/ocm/ocm-engine/commit/63ca360e5fcf670964eebfd15147f3b80127df66))
* replace socket.io with websocket ([119d295](https://code.vereign.com/gaiax/ocm/ocm-engine/commit/119d295fb614f20be715fddf6a5dc3c757ccaf91))


### Bug Fixes

* bcovrin interaction with ledger ([a72dc2b](https://code.vereign.com/gaiax/ocm/ocm-engine/commit/a72dc2b78611f56769c642928e1d991f6b9ebee3))

## [1.6.0](https://code.vereign.com/gaiax/ocm/ocm-engine/compare/v1.5.0...v1.6.0) (2023-06-13)


### Features

* implement agent events for basic messages ([c8a5a16](https://code.vereign.com/gaiax/ocm/ocm-engine/commit/c8a5a16fe7b807ee1abd77a8469b6e21ddde12a7))

## [1.5.0](https://code.vereign.com/gaiax/ocm/ocm-engine/compare/v1.4.0...v1.5.0) (2023-06-12)


### Features

* implement proof micro service ([d286abc](https://code.vereign.com/gaiax/ocm/ocm-engine/commit/d286abc5916512a6dae1a5fe9f0aef5bf4ed8512))

## [1.4.0](https://code.vereign.com/gaiax/ocm/ocm-engine/compare/v1.3.0...v1.4.0) (2023-06-09)


### Features

* implement attestation micro service ([40d9bfe](https://code.vereign.com/gaiax/ocm/ocm-engine/commit/40d9bfeb290ba35ec425bcd8c584dcd83a494968))

## [1.3.0](https://code.vereign.com/gaiax/ocm/ocm-engine/compare/v1.2.0...v1.3.0) (2023-06-09)


### Features

* implement connection micro service ([6048136](https://code.vereign.com/gaiax/ocm/ocm-engine/commit/60481361307183bc6fd914011bfa13ce70e34dc7))

## [1.2.0](https://code.vereign.com/gaiax/ocm/ocm-engine/compare/v1.1.0...v1.2.0) (2023-06-05)


### Features

* implement nat broker consumer-provider ([051ccc3](https://code.vereign.com/gaiax/ocm/ocm-engine/commit/051ccc3222902750ee490fb8f8a25c402dae18ae))

## [1.1.0](https://code.vereign.com/gaiax/ocm/ocm-engine/compare/v1.0.1...v1.1.0) (2023-05-30)


### Features

* agent implementation ([fea88b6](https://code.vereign.com/gaiax/ocm/ocm-engine/commit/fea88b606efe2829aa34f38d0248d0aba7c61678))

## [1.0.1](https://code.vereign.com/gaiax/ocm/ocm-engine/compare/v1.0.0...v1.0.1) (2023-05-23)


### Bug Fixes

* remove skip ci ([7d05869](https://code.vereign.com/gaiax/ocm/ocm-engine/commit/7d0586999bb39e9d38fcd4e64215edbe8baf8808))

## 1.0.0 (2023-05-23)


### Features

* implement gitlab ci ([b2ee96d](https://code.vereign.com/gaiax/ocm/ocm-engine/commit/b2ee96d5cd6a25e6da9ec0ddd5b0f6763d15cc7f))
* setup nx monorepo ([7cfb4f3](https://code.vereign.com/gaiax/ocm/ocm-engine/commit/7cfb4f37c3f280388557d1026c6667a8ae11b4c1))


### Bug Fixes

* add image to changelog step ([b6aeb97](https://code.vereign.com/gaiax/ocm/ocm-engine/commit/b6aeb970b1e44f6dc4b66ffe9a0fd1c6de91a562))
