import React from "react";
import classNames from "classnames";
import s from "./styles.module.scss";

export interface BodyProps {
  className?: string;
  children: React.ReactNode;
}

const Body = ({ children, className }: BodyProps) => (
  <div className={classNames(s.body, className)}>
    {children}
  </div>
);

export default Body;
