import { createContext } from 'react';

interface Auth {
  authorized: boolean;
  loading: boolean;
  setToken: (token: string) => void;
}

const authContext = createContext<Auth>({
  authorized: false,
  loading: true,
  setToken: () => {}
});

export default authContext;
