import React from "react";
import {observer} from "mobx-react";
import CredentialList from "@dashboard/components/CredentialList";
import PageWithSidebar from "@dashboard/components/PageWithSidebar";
import PageTitle from "@dashboard/components/PageTitle";

const CredentialListPage = observer(() => {

  return (
    <PageWithSidebar>
      <PageTitle>Credentials</PageTitle>
      <div>
        <CredentialList connectionId={null} />
      </div>
    </PageWithSidebar>
  );
});

export default CredentialListPage;
