import { registerAs } from "@nestjs/config";
import * as process from "process";
import { IAttestationManagerConfig } from "../interfaces/attestation.manager.config.interface";

export const amConfig = registerAs(
  "am",
  (): IAttestationManagerConfig => ({
    host: process.env["ATTESTATION_SERVICE_HOST"]!,
    port: parseInt(process.env["ATTESTATION_SERVICE_TCP_PORT"]!),
  }),
);
