export class ConnectionNotFoundError extends Error {
  constructor(message = "Connection not found") {
    super(message);
    this.name = "ConnectionNotFoundError";

    if (Error.captureStackTrace) {
      Error.captureStackTrace(this, ConnectionNotFoundError);
    }
  }
}
