import React from "react";
import s from "./styles.module.scss";

export interface FooterProps {
  children: React.ReactNode;
}

const Footer = ({ children }: FooterProps) => (
  <div className={s.footer}>
    {children}
  </div>
);

export default Footer;
