import React from "react";
import Sidebar from "../Sidebar";
import s from "./styles.module.scss";

interface Props {
  children: React.ReactNode;
}

const PageWithSidebar: React.FC<Props> = ({ children }) => {
  return (
    <div className={s.body}>
      {children}
    </div>
  );
};

export default PageWithSidebar;
