export interface Config {
  HTTP_GATEWAY: string;
  WS_GATEWAY: string;
  BASE_PATH: string;
}

const lsHttpGateway = localStorage.getItem('HTTP_GATEWAY');
const lsWsGateway = localStorage.getItem('WS_GATEWAY');
export const getConfig = (): Config => {
  return {
    // @ts-ignore
    HTTP_GATEWAY: lsHttpGateway || window.HTTP_GATEWAY,
    // @ts-ignore
    WS_GATEWAY: lsWsGateway || window.WS_GATEWAY,
    // @ts-ignore
    BASE_PATH: window.BASE_PATH,
  };
}

export default getConfig;
