const crypto = require('crypto');
const fs = require('fs');

function generateRandomString(length) {
  return crypto.randomBytes(Math.ceil(length / 2)).toString('hex').slice(0, length);
}

const generateValues = (name) => {
  const seed = generateRandomString(46);
  const content = `appName: ${name}
seed: ${seed}
`;

  const filePath = './custom-values/values-gen-' + name + '.yaml';
  fs.writeFile(filePath, content, (err) => {
    if (err) {
      console.error('An error occurred:', err);
      return;
    }
    console.log('Content written to file:', filePath);
  });
}

for (let i = 0; i < 300; i++) {
  generateValues(`ocm${i}`)
}
