import { IsDateString, IsNotEmpty, IsString } from "class-validator";

export class BaseRecordDto {
  @IsString()
  @IsNotEmpty()
  id: string;

  @IsDateString()
  @IsNotEmpty()
  createdAt: Date;

  @IsDateString()
  updatedAt?: Date;
}
