import {
  IsNotEmpty,
  IsString
} from "class-validator";
import { BaseRecordDto } from "./base.record.dto";
import { ProofState } from "@aries-framework/core";

export class ProofRecordDto extends BaseRecordDto {
  @IsString()
  connectionId?: string;

  @IsString()
  @IsNotEmpty()
  state: ProofState;
}
