export class ConnectionUnsupportedTypeError extends Error {
  constructor(message = "Unsupported connection event type") {
    super(message);
    this.name = "ConnectionUnsupportedTypeError";

    if (Error.captureStackTrace) {
      Error.captureStackTrace(this, ConnectionUnsupportedTypeError);
    }
  }
}
