export class SchemaNotFoundError extends Error {
  constructor(message = "Schema not found") {
    super(message);
    this.name = "SchemaNotFoundError";

    if (Error.captureStackTrace) {
      Error.captureStackTrace(this, SchemaNotFoundError);
    }
  }
}